
// Now run the setup and a batch of tests
UT.setup().runtests({
	
	// Each entry is the name of a test suite, usually a function or object

	SFXR: function(that){
		M = CreateSfxr();
		UT.assertSfxr(M, 'test type');
		N = M.clone();
		UT.assertEquals(M,N, 'Same');
		N.setSampleRate(11000);
		UT.assertNotEquals(M,N, 'not same');
		UT.assertEquals(N.toJSON(), "CreateSfxr(16,11000,0.5,0,0.3,0,0,0,0,0,0,0,0,0,0.3,0.4,0,0,1,0,0,0,0,0,0,0,0,0)", 'toJSON');
		N.setBaseFrequency(0.123456789);
		UT.assertAprox(N.getBaseFrequency(), 0.123456789, 0.0001, 'setBaseFrequency')
	}


});


